require "json"
require "httparty"
require "officepod/helper"
require "officepod/exception"
require "officepod/authentication"
require "officepod/storage"
require "officepod/bookmark"
require "officepod/file"
require "officepod/room"

module Officepod

  class Base
    include HTTParty
    include Authentication
    include Helper
    include Storage

    base_uri "http://g4m.lalaworks.com"

    def initialize(command=nil, body={}, cookie="")
      options = {
        headers: {
          "User-Agent" => "Gate4Mobile",
          "Content-Type" => "application/x-www-form-urlencoded",
          "Accept" => "application/json"
        }
      }

      end_point = "/server/request.php"

      self.instance_variable_set("@options", options)
      self.instance_variable_set("@end_point", end_point)
      self.instance_variable_set("@command", command)
      @options[:body] = body unless body.empty?
      @options[:headers]["Cookie"] = cookie unless cookie.empty?

      validates_command
    end

    def operate
      send(@command)
    end

  end

end
