module Officepod
  module Authentication

    def login
      validates_body
      response = self.class.post(@end_point, @options)
      result = JSON.parse(response.parsed_response)
      cookie = get_cookie(response.headers["set-cookie"])
      result["SID"] = cookie
      result["storage_list"] = storage_auth_list(lang: "ko", cookie: cookie)
      result.delete_if { |k,v| ["result", "resultcode", "message"].include? k }
      result
    end

    def logout
      response = self.class.delete(@end_point, @options)
      response.parsed_response
    end

    def get_cookie(cookie)
      sid_pattern = /(?!SID=)[a-z0-9]+(?=\;)/
      result = cookie.match sid_pattern
      result.to_s
    end
  end
end
