module Officepod
  module Exception
    class Error < StandardError; end

    # Exception raised when using undefined command
    class UnsupportedCommand < Error;
      def initialize(command)
        msg = "#{command} command is unsupported!"
        super(msg)
      end

      def to_s
       "Unsupported Command: #{command}"
      end
    end

    # Exception raised when passing no command
    class EmptyCommand < Error; end

    # Exception raised when passing no body
    class EmptyBody < Error; end
  end
end
