module Officepod
  module Helper

    def validates_command
      if command_empty?
         raise Officepod::Exception::EmptyCommand.new
      else
        if unsupported_command?
          raise Officepod::Exception::UnsupportedCommand.new(@command)
        end
      end
    end

    def validates_body
      raise Officepod::Exception::EmptyBody.new if body_empty?
    end

    def unsupported_command?
      !(self.class.instance_methods.include?(@command.to_sym))
    end

    def command_empty?
      @command.empty?
    end

    def body_empty?
      @options[:body].empty?
    end

  end
end
